---
title: Return on Investment Calculator
suppress_header: true
extra_css:
  - roi-calculator.css
extra_js:
  - libs/clipboard.min.js
  - roi-calculator.js
---

.wrapper
  .container-fluid.landing-container
    .row
      .col-md-8.col-md-offset-2
        .row
          .col-xs-12
            %h1.text-center
              GitLab Premium ROI Calculator
            %h3.text-center
              Calculate the return on investment of switching from GitLab Core
            %hr
            %h4.text-center
              Enter your team size and hourly rate to calculate your return.
        .row.team-controls
          .col-xs-6
            .form-inline
              %label
                Development team size
              %input.form-control.js-developer-team-size{ type: "number", min: 0, value: 100 }
          .col-xs-6
            .form-inline
              %label
                Average employee cost per hour (USD)
              %input.form-control.js-cost-per-developer{ type: "number", min: 0, value: 75 }
        .row
          .col-md-12.savings-banner
            .savings-text
              %h3
                Provide your team size, developer cost and select features to see your potential savings
              %p.total-subscription
            .link-block
              .text-center
                %a.btn.btn-lg.btn-red.js-copy-link{ "data-clipboard-text": "" }
                  %span.fas.fa-link
                  Copy link
              %h4
                to share your report

  .container-fluid.features-list-container
    .row
      .col-md-8.col-md-offset-2
        .row
          .col-md-12.features-table
            %table.table.table-striped.table-responsive
              %thead
                %th
                  Include
                %th.text-center
                  Feature
                %th.text-center
                  Savings
                  %br
                  Per User
                %th.text-center
                  Savings
                  %br
                  Total
              %tbody
                - data.categories.each do |key, category|
                  %tr.category-row
                    %td
                      %input{ type: "checkbox", id: "category-#{key}", checked: true, "data-category-key": key }
                    %td{ colspan: 3 }
                      %h4
                        %label{ for: "category-#{key}" }
                          = category.name
                  - data.features.features.each do |feature|
                    - if feature.key?("roi_case") and feature.category and feature.category.include?(key)
                      %tr
                        %td.include
                          %input{ type: "checkbox",
                                  "data-hours-incident": feature.hours_per_incident,
                                  "data-incidents-year": feature.incidents_per_year,
                                  "data-link-shorthand": feature.shorthand,
                                  "data-parent-category-key": key,
                                  checked: true }
                        %td.feature-description
                          = link_to feature.title, feature.link, target: "_blank", rel: "noopener nofollow noreferrer"
                          %br
                          = feature.roi_case
                        %td.savings-per-user
                          $0.00
                        %td.savings-total
                          $0.00

  .container-fluid.buttons-container
    .row
      .col-md-8.col-md-offset-2
        .row
          %h1.text-center
            Get GitLab Premium
        / TODO Tony Fix
        .flex-container.buttons-container.margin-top20
          = link_to "Explore Products", "/products", class: "btn btn-lg btn-red", rel: "noopener nofollow noreferrer"
          = link_to "Contact Sales", "/sales" ,class: "btn btn-lg btn-red", rel: "noopener nofollow noreferrer"
